Package ghidra.trace.model.time.schedule

# Enum Class CompareResult

java.lang.Object
java.lang.Enum<CompareResult>
ghidra.trace.model.time.schedule.CompareResult

All Implemented Interfaces:
  `Serializable`, `Comparable<CompareResult>`, `Constable`

public enum CompareResult extends Enum<CompareResult>
The result of a rich comparison of two schedules (or parts thereof)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EQUALS`
  `REL_GT`
  `REL_LT`
  `UNREL_GT`
  `UNREL_LT`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `compareTo`
  `final boolean`
  `related`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CompareResult`
  `related(int compareTo)`
  Enrich the result of `Comparable.compareTo(Object)`, given that the two are related
  `static CompareResult`
  `unrelated(int compareTo)`
  Enrich the result of `Comparable.compareTo(Object)`, given that the two are not related
  `static CompareResult`
  `unrelated(CompareResult result)`
  Maintain sort order, but specify the two are not in fact related
  `static CompareResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CompareResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNREL_LT

    public static final CompareResult UNREL_LT

  - ### REL_LT

    public static final CompareResult REL_LT

  - ### EQUALS

    public static final CompareResult EQUALS

  - ### REL_GT

    public static final CompareResult REL_GT

  - ### UNREL_GT

    public static final CompareResult UNREL_GT

- ## Field Details

  - ### compareTo

    public final int compareTo

  - ### related

    public final boolean related

- ## Method Details

  - ### values

    public static CompareResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CompareResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### related

    public static CompareResult related(int compareTo)
    Enrich the result of `Comparable.compareTo(Object)`, given that the two are related
    Parameters:
      `compareTo` - the return from `compareTo`
    Returns:
      the rich result

  - ### unrelated

    public static CompareResult unrelated(int compareTo)
    Enrich the result of `Comparable.compareTo(Object)`, given that the two are not related
    Parameters:
      `compareTo` - the return from `compareTo`
    Returns:
      the rich result

  - ### unrelated

    public static CompareResult unrelated(CompareResult result)
    Maintain sort order, but specify the two are not in fact related
    Parameters:
      `result` - the result of another (usually recursive) rich comparison
    Returns:
      the modified result